Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Chat
Class User

    java.lang.Object
      |
      +--jChatBox.Chat.User

Direct Known Subclasses:
  ChatroomUser

public class User
extends java.lang.Object

This class implements User features for jChatBox.

Field Summary
`static int` | `MODERATOR`
`static int` | `NORMAL`
`static int` | `SYSTEM`

Constructor Summary
`User(java.lang.String name, java.lang.String IP, int type)` Contructs User from name, IP and type.
`User(java.lang.String name, java.lang.String IP, int type, UserParams extra)` Contructs User intance from name, IP, type and extra feature.

Method Summary
`java.lang.String` | `getIP()` Returns an User's IP.
`java.lang.String` | `getName()` Returns an User's name.
`UserParams` | `getParams()` Returns an User's extra fields.
`int` | `getType()` Returns an User's type.
`void` | `setParams(UserParams up)` Updates an User's extra fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final int NORMAL

### MODERATOR

    public static final int MODERATOR

### SYSTEM

    public static final int SYSTEM

Constructor Detail

### User

    public User(java.lang.String name,
                java.lang.String IP,
                int type,
                UserParams extra)

  Contructs User intance from name, IP, type and extra feature.

### User

    public User(java.lang.String name,
                java.lang.String IP,
                int type)

  Contructs User from name, IP and type.

Method Detail

### getName

    public java.lang.String getName()

  Returns an User's name.

### getParams

    public UserParams getParams()

  Returns an User's extra fields.

### setParams

    public void setParams(UserParams up)

  Updates an User's extra fields.

### getType

    public int getType()

  Returns an User's type.

### getIP

    public java.lang.String getIP()

  Returns an User's IP.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD